Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055419 - Review Request: python-oslo-rootwrap - Oslo Rootwrap
Summary: Review Request: python-oslo-rootwrap - Oslo Rootwrap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 08:44 UTC by Matthias Runge
Modified: 2014-02-18 23:01 UTC (History)
2 users (show)

Fixed In Version: python-oslo-rootwrap-1.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-18 13:25:55 UTC
p: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2014-01-20 08:44:01 UTC
Spec URL: http://www.matthias-runge.de/fedora/python-oslo-rootwrap.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-oslo-rootwrap-1.0.0-1.fc20.src.rpm
Description: The Oslo Rootwrap allows fine filtering of shell commands to run as `root`
from OpenStack services.

Unlike other Oslo deliverables, it should **not** be used as a Python library,
but called as a separate process through the `oslo-rootwrap` command:

`sudo oslo-rootwrap ROOTWRAP_CONFIG COMMAND_LINE`

Fedora Account System Username: mrunge


rpmlint /home/mrunge/rpmbuild/SRPMS/python-oslo-rootwrap-1.0.0-1.fc20.src.rpm /home/mrunge/rpmbuild/RPMS/noarch/python-oslo-rootwrap-1.0.0-1.fc20.noarch.rpm ./python-oslo-rootwrap.spec 
python-oslo-rootwrap.src: W: spelling-error %description -l en_US deliverables -> deliverable, deliverable s, deliverers
python-oslo-rootwrap.src: W: spelling-error %description -l en_US sudo -> suds, ludo, sumo
python-oslo-rootwrap.noarch: W: spelling-error %description -l en_US deliverables -> deliverable, deliverable s, deliverers
python-oslo-rootwrap.noarch: W: spelling-error %description -l en_US sudo -> suds, ludo, sumo
python-oslo-rootwrap.noarch: W: no-manual-page-for-binary oslo-rootwrap
2 packages and 1 specfiles checked; 0 errors, 5 warnings.

Scratch-build: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=6428567

Comment 1 Pádraig Brady 2014-01-20 09:58:20 UTC
Minor caveat is there is no %check
I won't hold it up for that, so +1

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 1 files have unknown license.
     Detailed output of licensecheck in /home/padraig/1055419-python-oslo-
     rootwrap/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/oslo(python-oslo-messaging, python-oslo-config)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-oslo-rootwrap-1.0.0-1.fc20.noarch.rpm
          python-oslo-rootwrap-1.0.0-1.fc20.src.rpm
python-oslo-rootwrap.noarch: W: spelling-error %description -l en_US deliverables -> deliverable, deliverable s, deliverers
python-oslo-rootwrap.noarch: W: spelling-error %description -l en_US sudo -> suds, ludo, sumo
python-oslo-rootwrap.noarch: W: no-manual-page-for-binary oslo-rootwrap
python-oslo-rootwrap.src: W: spelling-error %description -l en_US deliverables -> deliverable, deliverable s, deliverers
python-oslo-rootwrap.src: W: spelling-error %description -l en_US sudo -> suds, ludo, sumo
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-oslo-rootwrap
python-oslo-rootwrap.noarch: W: spelling-error %description -l en_US deliverables -> deliverable, deliverable s, deliverers
python-oslo-rootwrap.noarch: W: spelling-error %description -l en_US sudo -> suds, ludo, sumo
python-oslo-rootwrap.noarch: W: no-manual-page-for-binary oslo-rootwrap
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-oslo-rootwrap (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)


Provides
--------
python-oslo-rootwrap:
    python-oslo-rootwrap



Source checksums
----------------
https://pypi.python.org/packages/source/o/oslo.rootwrap/oslo.rootwrap-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 55d808aea90c072fd3cb7eb1956a02f5d1fefd0e940e976528d999fcad19104a
  CHECKSUM(SHA256) upstream package : 55d808aea90c072fd3cb7eb1956a02f5d1fefd0e940e976528d999fcad19104a


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1055419
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 2 Matthias Runge 2014-01-20 11:10:54 UTC
Awesome, thanks!

New Package SCM Request
=======================
Package Name: python-oslo-rootwrap
Short Description: Oslo Rootwrap
Owners: mrunge
Branches: f19 f20 el6 el7

Comment 3 Gwyn Ciesla 2014-01-21 14:12:04 UTC
Git done (by process-git-requests).

Correct branch is epel7.

Comment 4 Fedora Update System 2014-01-21 20:47:41 UTC
python-oslo-rootwrap-1.0.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-oslo-rootwrap-1.0.0-1.el6

Comment 5 Fedora Update System 2014-01-21 20:49:26 UTC
python-oslo-rootwrap-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-oslo-rootwrap-1.0.0-1.fc20

Comment 6 Fedora Update System 2014-01-21 20:50:12 UTC
python-oslo-rootwrap-1.0.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-oslo-rootwrap-1.0.0-1.fc19

Comment 7 Fedora Update System 2014-01-22 09:38:00 UTC
python-oslo-rootwrap-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2014-02-18 13:25:55 UTC
python-oslo-rootwrap-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 Fedora Update System 2014-02-18 13:36:20 UTC
python-oslo-rootwrap-1.0.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 10 Fedora Update System 2014-02-18 23:01:48 UTC
python-oslo-rootwrap-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.